テンプレート・フラグメントの作成
テンプレート・フラグメントはテンプレートのコンテンツで、チャンネルとロケールによって一意に識別されます。フラグメントを作成するには フラグメントを作成するには、すでにテンプレートを作成している必要があります。
| キー | 説明 |
|---|---|
VONAGE_APPLICATION_ID | The Vonage Application ID. |
VONAGE_APPLICATION_PRIVATE_KEY_PATH | Private key path. |
JWT | Used to authenticate your request. See Authentication for more information, including how to generate a JWT. |
TEMPLATE_ID | The custom template ID |
Write the code
Add the following to create-template-fragment.sh:
curl -X POST "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID/template_fragments" \
-H "Authorization: Bearer $JWT"\
-H 'Content-Type: application/json' \
-d $'{
"channel": "sms",
"locale": "en-us",
"text": "The authentication code for your ${brand} is: ${code}"
}'
Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named create-template-fragment.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage ({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});Write the code
Add the following to create-template-fragment.js:
vonage.verify2.createTemplateFragment(
VERIFY_TEMPLATE_ID,
{
channel: 'sms',
locale: 'en-us',
text: 'The authentication code for your ${brand} is: ${code}',
},
)
.then((result) => console.log(result))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a class named CreateTemplateFragment and add the following code to the main method:
Write the code
Add the following to the main method of the CreateTemplateFragment class:
Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates.fragments with the package containing CreateTemplateFragment:
Prerequisites
Add the following to build.gradle:
Create a class named CreateTemplateFragment and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the CreateTemplateFragment class:
var fragment = client.getVerify2Client().createTemplateFragment(
VERIFY_TEMPLATE_ID, new TemplateFragment(
FragmentChannel.SMS, "en-us",
"The authentication code for your ${brand} is: ${code}"
)
);
System.out.println(fragment);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing CreateTemplateFragment:
Prerequisites
Install-Package VonageCreate a file named CreateTemplateFragmentRequest.cs and add the following code:
Prerequisites
composer require vonage/clientCreate a file named create-template-fragment.php and add the following code:
Run your code
Save this file to your machine and run it:
Prerequisites
gem install vonageCreate a file named create-template-fragment.rb and add the following code:
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: File.read(VONAGE_PRIVATE_KEY)
)Run your code
Save this file to your machine and run it: